#
# spec file for package python-pytricia
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytricia
Version:        1.0.0
Release:        2.4
Summary:        A library for IP address lookup in Python
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/jsommers/pytricia
Source:         https://files.pythonhosted.org/packages/source/p/pytricia/pytricia-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Pytricia is a python module to store IP prefixes in a patricia tree.
It's based on Dave Plonka's modified patricia tree code, and has three things
to recommend it over related modules (including py-radix and SubnetTree):

1. it is faster
2. it works in Python 3, and
3. there are a few nicer library features for manipulating the structure.

%prep
%setup -q -n pytricia-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/pytricia-%{version}
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%files %{python_files}
%doc README.md LICENSE
%defattr(-,root,root)
%{python_sitearch}/*

%changelog
* Tue Feb 13 2018 rjschwei@suse.com
- Fix license string to appease OBS checker (spdx v2)
* Fri Feb  9 2018 rjschwei@suse.com
- Fix source URL
* Thu Feb  8 2018 rjschwei@suse.com
- Initial build
  + Include in SLE 12 and SLE 15 (FATE#323081, bsc#1029162)
  + Version 1.0.0
